@import "../../../../assets/styles/main.scss";

.referAndEarnDetailsContainer {
  h1 {
    @include inter700;
    font-size: 30px;
    line-height: 32px;
    letter-spacing: 0.20000000298023224px;
    text-align: left;
  }

  .referalCodeSection {
    display: flex;
    flex-direction: column;
    gap: 30px;
    align-items: center;
    margin: 47px auto 0 auto;

    @include lg {
      margin: 30px auto 0 auto;
      gap: 24px;
    }

    &_image {
      height: 367px;
      width: 440px;

      @include lg {
        height: 290px;
        width: 390px;
      }

      img {
        height: 100%;
        width: 100%;
      }
    }

    .referalCodeCopy {
      padding: 10px 30px 10px 10px;
      display: grid;
      grid-template-columns: 60px 1fr 20px;
      gap: 10px;
      align-items: center;
      border-radius: 10px;
      background: linear-gradient(90deg, #ffe8d3 0%, #fff8f1 100%);
      border: 1px solid #f47500;
      width: 100%;
      max-width: 440px;

      img {
        height: 100%;
        width: 100%;
      }

      .referalCodeCopyText {
        h4 {
          font-size: 12px;
          line-height: 14.52px;
          text-align: left;
          color: #000000;

          @include lg {
            font-size: 10px;
            line-height: 12.52px;
          }
        }

        p {
          @include inter700;
          font-size: 30px;
          line-height: 36.31px;
          text-align: left;
          color: #000000;

          @include lg {
            font-size: 24px;
            line-height: 30.31px;
          }
        }
      }

      .copyIcon {
        cursor: pointer;
        height: 20px;
        width: 20px;
        @include vertical_align_center;
      }
    }

    .shareText {
      P {
        font-size: 16px;
        line-height: 19.36px;
        text-align: center;
        color: #686868;

        @include lg {
          font-size: 14px;
          line-height: 17.36px;
        }
      }
    }

    .youAndYourFriendText {
      border-radius: 35px;
      max-width: 382px;
      width: 100%;
      padding: 10px 30px;
      background: #f47500;

      @include lg {
        padding: 8px 26px;
      }

      p {
        font-size: 20px;
        line-height: 24.2px;
        @include inter700;
        text-align: center;
        color: #ffffff;

        @include lg {
          font-size: 18px;
          line-height: 22px;
        }
      }
    }

    .shareTextMain {
      width: 100%;
      max-width: 567px;
      h3 {
        @include inter700;
        font-size: 30px;
        line-height: 36.31px;
        text-align: center;
        color: #000000;

        @include lg {
          font-size: 26px;
          line-height: 32.31px;
        }

        span {
          color: #f47500;
        }
      }

      p {
        padding: 10px 0 0 0;
        font-size: 16px;
        line-height: 35px;
        text-align: center;
        color: #686868;

        @include lg {
          padding: 8px 0 0 0;
          font-size: 14px;
          line-height: 33px;
        }
      }

      h5 {
        padding: 20px 0 0 0;
        font-size: 16px;
        line-height: 19.36px;
        text-align: center;
        color: #000000;

        @include lg {
          padding: 16px 0 0 0;
          font-size: 14px;
          line-height: 17.36px;
        }
      }

      .socialIconsSection {
        margin: 10px 0 0 0;
        gap: 10px;
        @include vertical_align_center;
        flex-direction: row;

        @include lg {
          margin: 8px 0 0 0;
          gap: 8px;
        }

        img {
          height: 40px;
          width: 40px;

          @include lg {
            height: 34px;
            width: 34px;
          }
        }
      }
    }

    .yourInvitesSection {
      padding: 15px;
      border-radius: 10px;
      background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
      width: 100%;

      @include lg {
        padding: 13px;
      }

      h3 {
        @include inter700;
        font-size: 16px;
        line-height: 19.36px;

        @include lg {
          font-size: 14px;
          line-height: 17.36px;
        }
      }

      .yourInvitesFriend {
        margin: 15px 0 0 0;
        background: #ffffff;
        border-radius: 10px;
        padding: 20px;

        @include lg {
          padding: 18px;
          margin: 13px 0 0 0;
        }
      }
    }
  }
}
